<!DOCTYPE html>
<html>
<head>
	<meta charset='UTF-8' />
	<!--
	Related Bookmarks v0.3.2
	Copyright © 2024 Boian Berberov

	Licensed under the EUPL-1.2 only.
	License text: https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
	SPDX-License-Identifier: EUPL-1.2
	-->
	<!-- BUG: The following stylesheet cannot be @import-ed in anothere CSS file for some reason -->
	<link rel='stylesheet' type='text/css' href='chrome://global/skin/in-content/common.css' />
	<!-- Firefox Extensions' Options Page Stylesheet -->
	<link rel='stylesheet' type='text/css' href='/options.css' />
	<!--
	D3 licensed under the ISC License
	Copyright © 2010–2024 Mike Bostock
	License text: https://spdx.org/licenses/ISC.html
	-->
	<script src='/node_modules/d3-selection/dist/d3-selection.min.js'></script>
	<script src='/options_default.js'></script>	<!-- Extension's default options -->
	<script src='/options.js'></script>        	<!-- Extension's options page script -->
	<!-- TODO: i18n -->
	<title>Related Bookmarks - Options</title>
</head>
<body>
	<form>
		<div class='vertical'>
			<fieldset>
				<legend>Debug</legend>
				<div class='opt'>
					<input id='cbx_log_lookups_count' type='checkbox' />
					<!-- TODO: i18n -->
					<label>Log number of Places lookups</label>
				</div>
				<div class='opt'>
					<input id='cbx_log_related_lookups' type='checkbox' />
					<!-- TODO: i18n -->
					<label>Log "related" Places lookup URIs</label>
				</div>
			</fieldset>
			<fieldset>
				<legend>Experimental</legend>
				<div class='select'>
					<label>Initial toplevel:</label>
					<select id='sel_treetop'>
						<option value='root________'>All Bookmarks</option>
						<option value='menu________'>Bookmarks Menu</option>
						<option value='toolbar_____'>Bookmarks Toolbar</option>
						<option value='unfiled_____'>Other Bookmarks</option>
					</select>
				</div>
				<div class='select'>
					<label>Tiling:</label>
					<select id='sel_tiling'>
						<option value='treemapBinary'>Binary</option>
						<option value='treemapSquarify'>Squarify</option>
					</select>
				</div>
				<div class='select'>
					<label>Sorting:</label>
					<select id='sel_sort'>
						<option value='natural'>Natural</option>
						<option value='size'>By Size</option>
						<option value='name'>By Name</option>
					</select>
				</div>
				<div class='select'>
					<label>Color Scheme:</label>
					<select id='sel_colors'>
						<option value='schemeCategory10'>Category 10</option>
						<option value='schemeObservable10'>Observable 10</option>
						<option value='schemeTableau10'>Tableau 10</option>
					</select>
				</div>
				<div class='select'>
					<label>Font Size:</label>
					<select id='sel_fontHeight'>
						<option  value=8> 8 px</option>
						<option  value=9> 9 px</option>
						<option value=10>10 px</option>
						<option value=11>11 px</option>
						<option value=12>12 px</option>
						<option value=13>13 px</option>
						<option value=14>14 px</option>
						<option value=15>15 px</option>
						<option value=16>16 px</option>
						<option value=17>17 px</option>
						<option value=18>18 px</option>
					</select>
				</div>
				<div class='select'>
					<label>Padding Around:</label>
					<select id='sel_paddingAround'>
						<option value=1>1 px</option>
						<option value=2>2 px</option>
						<option value=3>3 px</option>
						<option value=4>4 px</option>
						<option value=5>5 px</option>
						<option value=6>6 px</option>
						<option value=7>7 px</option>
						<option value=8>8 px</option>
					</select>
				</div>
				<div class='select'>
					<label>Padding Between:</label>
					<select id='sel_paddingBetween'>
						<option value=1>1 px</option>
						<option value=2>2 px</option>
						<option value=3>3 px</option>
						<option value=4>4 px</option>
						<option value=5>5 px</option>
						<option value=6>6 px</option>
						<option value=7>7 px</option>
						<option value=8>8 px</option>
					</select>
				</div>
				<hr />
				<div class='right'>
					<button type='button' id='btn_treemap' class='primary' title='Open Treemap in a new window'>Open Treemap</button>
				</div>
			</fieldset>
		</div>
		<div class='right'>
			<button type='button' id='btn_reset' title='Reset all options to defaults'>Reset</button>
		</div>
	</form>
</body>
</html>
